Bug 1644582 - CVE-2018-14660 glusterfs: Repeat use of "GF_META_LOCK_KEY" xattr allows for memory exhaustion [fedora-all]
Summary: CVE-2018-14660 glusterfs: Repeat use of "GF_META_LOCK_KEY" xattr allows for m...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glusterfs
Version: 28
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: 1644758 1647962 1647972
TreeView+ depends on / blocked
 
Reported: 2018-10-31 08:12 UTC by Siddharth Sharma
Modified: 2018-11-30 02:10 UTC (History)
8 users (show)

(edit)
Clone Of:
: 1644758 (view as bug list)
(edit)
Last Closed: 2018-11-30 02:10:29 UTC


Attachments (Terms of Use)

Description Siddharth Sharma 2018-10-31 08:12:16 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Fedora Update System 2018-11-14 19:12:38 UTC
glusterfs-5.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-986f0b7fb0

Comment 2 Fedora Update System 2018-11-14 20:18:45 UTC
glusterfs-4.1.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-af9bd28cf1

Comment 3 Fedora Update System 2018-11-15 04:54:23 UTC
glusterfs-5.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-986f0b7fb0

Comment 4 Fedora Update System 2018-11-15 06:02:18 UTC
glusterfs-4.1.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-af9bd28cf1

Comment 5 Fedora Update System 2018-11-18 03:56:19 UTC
glusterfs-5.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-11-30 02:10:29 UTC
glusterfs-4.1.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.